* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    font-family: "Poppins", sans-serif;
}

body {
    background-color: #000;
    color: #eee;
    font-size: 12px;
}

header {
    width: 80%;
    height: 50px;
    display: flex;
    align-items: center;
    position: relative;
    z-index: 2;
    margin: auto;
}

header a {
    color: #eee;
    margin-right: 40px;
    font-weight: 300;
}

.container {
    height: 100vh;
    width: 100vw;
    margin-top: -50px;

}

.container .list .list-item {
    width: 100%;
    height: 100%;
    position: absolute;
}

.container .list .list-item img {
    -object-fit: cover;
    width: 100%;
    height: 100%;
    filter: brightness(50%);
}

.container .list .list-item .content {
    position: absolute;
    top: 20%;
    right: 10%;
    padding-right: 30%;
    width: 80%;
    color: #eee;
    text-shadow: 0 5px 10px #0004;
}

.container .list .list-item .title {
    font-size: 5em;
    font-weight: 700;
    line-height: 1.3em;
}

.container .list .list-item .para {
    font-size: 1.5em;
}

.container .list .list-item .botao {
    display: grid;
    grid-template-columns: repeat(2, 130px);
    grid-template-rows: 40px;
    margin-top: 20px;
    gap: 5px;
}

.container .list .list-item .botao button {
    border: none;
    background-color: #eee;
    letter-spacing: 3px;
    font-weight: 500;
    cursor: pointer;
    text-transform: uppercase;
}

.container .list .list-item .botao button:hover {
    background-color: transparent;
    border: 1px solid #eee;
    color: #eee;
    transition: 0.3s;
}

.container .list .list-item .botao button:nth-child(2) {
    background-color: transparent;
    border: 1px solid #eee;
    color: #eee;
}

.container .list .list-item .botao button:nth-child(2):hover {
    background-color: #eee;
    color: #000;
}

.container .cartas {
    position: absolute;
    bottom: 50px;
    left: 50%;
    display: flex;
    gap: 20px;
}

.container .cartas .cartas-item {
    width: 135px;
    height: 200px;
    position: relative;
    z-index: 3;
}

.container .cartas .cartas-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
    filter: brightness(80%);
}

.container .cartas .content {
    position: absolute;
    bottom: 10px;
    left: 10px;
}

.container .setas {
    display: flex;
    align-items: center;
    gap: 10px;
    position: absolute;
    bottom: 120px;
    left: 120px;
    width: 300px;
}

.container .setas button {
    border-radius: 10px;
    border: none;
    padding: 12px 17px;
    background-color: #eee4;
    color: #eee;
    cursor: pointer;
    font-weight: 700;
    font-size: 1.5rem;
}

.container .setas button:hover {
    background-color: #eee;
    color: #000;
    transition: 0.5s;
}

/* Movimento da cartas */

.container.bb .cartas {
    animation: effectbbcartas 0.5s linear 1 forwards;
}

@keyframes effectbbcartas {
    from {
        transform: translateX(150px);
    }
}

/* Movimento úlima cartas */

.container.bb .carta .cartas-item:nth-last-child(1) {
    animation: effectlastcartas 0.5s linear 1 forwards;
}



@keyframes effectlastcartas {
    from {
        width: 0;
        opacity: 0;
    }
}

/* Textos principais */
.container .list .list-item:nth-last-child(1) .content .title,
.container .list .list-item:nth-last-child(1) .content .para,
.container .list .list-item:nth-last-child(1) .content .botao {
    transform: translateY(50px);
    filter: blur(20px);
    opacity: 0;
    animation: showcontent 0.5s 1s linear 1 forwards;
}

@keyframes showcontent {
    to {
        transform: translateY(0);
        filter: blur(0);
        opacity: 1;
    }
}

.container .list .list-item:nth-last-child(1) .content .title {
    animation-delay: 1.2s;
}

.container .list .list-item:nth-last-child(1) .content .para {
    animation-delay: 1.6s;
}

.container .list .list-item:nth-last-child(1) .content .botao {
    animation-delay: 2s;
}

/* imagem principal bb */

.container.bb .list .list-item:nth-last-child(1) img {
    width: 150px;
    height: 220px;
    position: absolute;
    bottom: 50px;
    left: 50%;
    border-radius: 30px;
    animation: showMainImage 0.1s linear 1 forwards;
}

@keyframes showMainImage {
    to {
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 0;
    }
}

/* imagem principal aa */

.container.aa .list .list-item:nth-child(1) img {
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 2;
    animation: hideMainImage 0.5s linear 1 forwards;

}

@keyframes hideMainImage {
    to {
        width: 10px;
        height: 200px;
        border-radius: 10px;
        left: 50%;
        bottom: 50px;
    }
}



/*Estilos especificos para Android*/

@media only screen and (max-width: 1020px) {

    header {
        width: 85%;

    }

    .container .list .list-item .content {
        right: 0%;
        top: 10%;
        width: 99%;
        left: 9%;
    }

    .container .cartas {
        bottom: 92px;
        left: 9%;
    }

    .container .cartas .cartas-item {
        width: 70px;
        height: 100px;
    }

    .container .cartas .content {
        bottom: 2px;
        left: 2px;
    }

    .container .setas {
        bottom: 22px;
        left: 38px;
    }

    @keyframes hideMainImage {
        to {
            width: 60px;
            height: 90px;
            border-radius: 10px;
            bottom: 98px;
            left: 38px;
        }
    }

    
    
   

}